Bug 55571 - sox cannot deal with gsm files made by toast
sox cannot deal with gsm files made by toast
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sox (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-02 02:48 EST by Adrian Miranda
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-02 02:48:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Miranda 2001-11-02 02:48:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011019 Netscape6/6.2

Description of problem:
I convert a u-law file to a gsm, using toast.  Then I try to play it, but
play will refuse it, complaining: "sox: gsm: channels(-1) must be in 1-16".
This bug is apparently fixed in sox 12.17.2 (look at gsm.c line 63-65). 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.(Start with a u-law file.  May happen with other formats, not tested)
2.use toast to convert the file: "toast file.ul"
3.Try to play it:  play file.ul.gsm
	

Actual Results:  Got the error:

sox: gsm: channels(-1) must be in 1-16

Expected Results:  It should have played the file.

Additional info:

When I compiled sox 12.17.2, it worked correctly.
Comment 1 Bill Nottingham 2002-01-25 00:28:15 EST
A later sox version is now in rawhide.

Note You need to log in before you can comment on or make changes to this bug.